com.fasterxml.jackson.databind.ser.std

## Class StdArraySerializers.DoubleArraySerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.databind.ser.ContainerSerializer<T>
      - - com.fasterxml.jackson.databind.ser.std.ArraySerializerBase<double[]>
        - - com.fasterxml.jackson.databind.ser.std.StdArraySerializers.DoubleArraySerializer

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware

Enclosing class:
  StdArraySerializers

    public static final class StdArraySerializers.DoubleArraySerializer
    extends ArraySerializerBase<double[]>

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`JsonSerializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase

`_property`

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
Constructor and Description
`StdArraySerializers.DoubleArraySerializer()`

### Method Summary

Methods
`ContainerSerializer<?>` `_withValueTypeSerializer(TypeSerializer vts)` Doubles never add type info; hence, even if type serializer is suggested, we'll ignore it...
`void` `acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor, JavaType typeHint)` Default implementation specifies no format.
`JsonSerializer<?>` `getContentSerializer()` Accessor for serializer used for serializing contents (List and array elements, Map values etc) of the container for which this serializer is used, if it is known statically.
`JavaType` `getContentType()` Accessor for finding declared (static) element type for type this serializer is used for.
`JsonNode` `getSchema(SerializerProvider provider, Type typeHint)` Default implementation simply claims type is "string"; usually overriden by custom serializers.
`boolean` `hasSingleElement(double[] value)` Method called to determine if the given value (of type handled by this serializer) contains exactly one element.
`boolean` `isEmpty(double[] value)` Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).
`void` `serializeContents(double[] value, JsonGenerator jgen, SerializerProvider provider)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase

`serialize, serializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.ser.ContainerSerializer

`hasContentTypeAnnotation, withValueTypeSerializer`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`createObjectNode, createSchemaNode, createSchemaNode, findConvertingContentSerializer, findPropertyFilter, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isUnwrappingSerializer, replaceDelegatee, unwrappingSerializer, usesObjectId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StdArraySerializers.DoubleArraySerializer

    public StdArraySerializers.DoubleArraySerializer()

### Method Detail

#### _withValueTypeSerializer

    public ContainerSerializer<?> _withValueTypeSerializer(TypeSerializer vts)

Doubles never add type info; hence, even if type serializer is suggested, we'll ignore it...

Specified by:
  `_withValueTypeSerializer` in class `ContainerSerializer<double[]>`

#### getContentType

    public JavaType getContentType()

Description copied from class: `ContainerSerializer`
Accessor for finding declared (static) element type for type this serializer is used for.

Specified by:
  `getContentType` in class `ContainerSerializer<double[]>`

#### getContentSerializer

    public JsonSerializer<?> getContentSerializer()

Description copied from class: `ContainerSerializer`
Accessor for serializer used for serializing contents (List and array elements, Map values etc) of the container for which this serializer is used, if it is known statically. Note that for dynamic types this may return null; if so, caller has to instead use `ContainerSerializer.getContentType()` and `SerializerProvider.findValueSerializer(java.lang.Class<?>, com.fasterxml.jackson.databind.BeanProperty)`.

Specified by:
  `getContentSerializer` in class `ContainerSerializer<double[]>`

#### isEmpty

    public boolean isEmpty(double[] value)

Description copied from class: `JsonSerializer`
Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).

Default implementation will consider only null values to be empty.

Specified by:
  `isEmpty` in class `ContainerSerializer<double[]>`

#### hasSingleElement

    public boolean hasSingleElement(double[] value)

Description copied from class: `ContainerSerializer`
Method called to determine if the given value (of type handled by this serializer) contains exactly one element.

Note: although it might seem sensible to instead define something like "getElementCount()" method, this would not work well for containers that do not keep track of size (like linked lists may not).

Specified by:
  `hasSingleElement` in class `ContainerSerializer<double[]>`

#### serializeContents

    public void serializeContents(double[] value,
                         JsonGenerator jgen,
                         SerializerProvider provider)
                           throws IOException,
                                  JsonGenerationException

Specified by:
  `serializeContents` in class `ArraySerializerBase<double[]>`
Throws:
  `IOException`
  `JsonGenerationException`

#### getSchema

    public JsonNode getSchema(SerializerProvider provider,
                     Type typeHint)

Description copied from class: `StdSerializer`
Default implementation simply claims type is "string"; usually overriden by custom serializers.

Specified by:
  `getSchema` in interface `SchemaAware`
Overrides:
  `getSchema` in class `StdSerializer<double[]>`
Parameters:
  `provider` - The serializer provider.
  `typeHint` - A hint about the type.
Returns:
  Json-schema for this serializer.

#### acceptJsonFormatVisitor

    public void acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor,
                               JavaType typeHint)
                                 throws JsonMappingException

Description copied from class: `StdSerializer`
Default implementation specifies no format. This behavior is usually overriden by custom serializers.

Specified by:
  `acceptJsonFormatVisitor` in interface `JsonFormatVisitable`
Overrides:
  `acceptJsonFormatVisitor` in class `StdSerializer<double[]>`
  `typeHint` - Type of element (entity like property) being visited
Throws:
  `JsonMappingException`